This page was generated from doc/executing-notebooks.ipynb. Interactive online version: . Download notebook.

# Controlling Notebook Execution

Notebooks with no outputs are automatically executed during the Sphinx build process. If, however, there is at least one output cell present, the notebook is not evaluated and included as is.

The following notebooks show how this default behavior can be used and customized.

- Pre-Executing Notebooks
  - Long-Running Cells
  - Rare Libraries
  - Exceptions
  - Client-specific Outputs
  - Interactive Input
- Explicitly Dis-/Enabling Notebook Execution
- Ignoring Errors
- Ignoring Errors on a Per-Cell Basis
- Configuring Kernels
  - Kernel Name
  - Kernel Arguments
  - Environment Variables
- Cell Execution Timeout